Bug 498726 - Inserting a new sound device (usb headset) makes sound skip
Inserting a new sound device (usb headset) makes sound skip
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 11:33 EDT by Michael Monreal
Modified: 2010-06-28 08:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:20:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pulseaudio -vvv (116.24 KB, text/plain)
2009-10-20 16:05 EDT, Michael Monreal
no flags Details
Kernel messages (3.54 KB, text/plain)
2009-10-20 16:07 EDT, Michael Monreal
no flags Details
alsa-info (38.51 KB, text/plain)
2009-10-20 16:08 EDT, Michael Monreal
no flags Details

  None (edit)
Description Michael Monreal 2009-05-02 11:33:01 EDT
When plugging a USB headset in while sound is playing on the internal sound card using pulseaudio, the sound skips for a second (while the new hardware is probed and driver is loaded?).
Comment 1 Lennart Poettering 2009-05-05 12:05:03 EDT
Not sure how much of this is actually PA's fault, and how much the kernel's.

The internal card is PCI, the headset USB, right?
Comment 2 Michael Monreal 2009-05-05 12:17:55 EDT
(In reply to comment #1)
> The internal card is PCI, the headset USB, right?  

Right
Comment 3 Bug Zapper 2009-06-09 11:00:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Adam Williamson 2009-10-20 14:42:47 EDT
is this still the case with the latest Fedora 11 kernel and pulseaudio?

If so, can you post pulseaudio and kernel logs from a time period during which you reproduce the problem? To get pulseaudio logs, do this at a console:

pulseaudio -k (kills the existing pa process)
pulseaudio -vvvv (runs pulseaudio in the console with verbose output)

then reproduce the problem, and copy/paste the logs out of the console. For kernel logs, just paste the appropriate time period from /var/log/messages .

The output of 'alsa-info.sh --no-upload' with both devices connected may also be helpful.

Thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Michael Monreal 2009-10-20 16:05:00 EDT
Created attachment 365421 [details]
pulseaudio -vvv

It still happens exactly the same on my up-to-date F11 installation. All requested logs following...
Comment 6 Michael Monreal 2009-10-20 16:07:44 EDT
Created attachment 365422 [details]
Kernel messages
Comment 7 Michael Monreal 2009-10-20 16:08:08 EDT
Created attachment 365423 [details]
alsa-info
Comment 8 Michael Monreal 2009-10-20 16:10:20 EDT
However, I also tested on F12b and there it works flawlessly without ever skipping: great. So some of the newer components fixes the problem, maybe you should just close as NEXTRELEASE or something.
Comment 9 Adam Williamson 2009-10-20 17:04:31 EDT
well, in theory we want to have these issues fixed in any supported release, so I prefer to leave 'em open as long as it's possible that might happen. hope springs eternal, &c. :)

I think there's enough information now to know where the problem is, assigning - Lennart will kick it over to Jaroslav if it's a kernel bug.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2010-04-27 10:04:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 08:20:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.